This was created by checking out qtwayland and checking out the kf5
patches from kde.  For more details of those, see
https://dot.kde.org/2021/04/06/announcing-kdes-qt-5-patch-collection

from kde:
 git clone https://invent.kde.org/qt/qt/qtwayland
 cd qtwayland
 git checkout -t origin/5.15
 git format-patch origin/5.15.2..origin/kde/5.15

To update for new patches, git pull and then rerun git format-patch.

Last updated: 2021-01-25

Following patches commented:
01-Bump-version.patch bumps the version to 5.15.3, unwanted
02-Replace-remaining-LGPLv3-headers-in-QtWaylandComposi.patch already applied
03-Doc-List-correct-license-information-for-the-module.patch already applied
04-Add-changes-file-for-Qt-5.15.2.patch already applied

#From 30cb2a87fcc6265232cb5a3ffce9836da6e531d6 Mon Sep 17 00:00:00 2001
#From: Jani Heikkinen <jani.heikkinen@qt.io>
#Date: Tue, 27 Oct 2020 07:48:51 +0200
#Subject: [PATCH 01/37] Bump version
#
#Change-Id: I6b2c26a9fea447f1de1d768a72aba72055a13cb7
#---
# .qmake.conf | 2 +-
# 1 file changed, 1 insertion(+), 1 deletion(-)
#
#diff --git a/.qmake.conf b/.qmake.conf
#index f63b6641..bb8d0645 100644
#--- a/.qmake.conf
#+++ b/.qmake.conf
#@@ -4,4 +4,4 @@ DEFINES += QT_NO_FOREACH
# DEFINES += QT_NO_JAVA_STYLE_ITERATORS
# DEFINES += QT_NO_LINKED_LIST
# 
#-MODULE_VERSION = 5.15.2
#+MODULE_VERSION = 5.15.3
#-- 
#2.33.0
#
#From f9d5fc2e94c2116130456f4b4f8bd2f3a0c88d20 Mon Sep 17 00:00:00 2001
#From: Kai Koehne <kai.koehne@qt.io>
#Date: Tue, 27 Oct 2020 16:12:30 +0100
#Subject: [PATCH 02/37] Replace remaining LGPLv3 headers in QtWaylandCompositor
# with GPLv3
#
#Use same header as for the rest of the module.
#
#This was forgotten in commit bb1b46a4862e0a5
#
#Change-Id: I7e61b43f0387a9affa9488566cb5aaca51b3bc0b
#Reviewed-by: Paul Olav Tvete <paul.tvete@qt.io>
#Reviewed-by: Pier Luigi Fiorini <pierluigi.fiorini@liri.io>
#Reviewed-by: Lars Knoll <lars.knoll@qt.io>
#(cherry picked from commit 2bf41c736719654d0d6b15eec280a4667ebc28c5)
#Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
#---
# .../extensions/qwaylandidleinhibitv1.cpp      | 27 +++++++------------
# .../extensions/qwaylandidleinhibitv1.h        | 27 +++++++------------
# .../extensions/qwaylandidleinhibitv1_p.h      | 27 +++++++------------
# .../extensions/qwaylandquickxdgoutputv1.cpp   | 27 +++++++------------
# .../extensions/qwaylandquickxdgoutputv1.h     | 27 +++++++------------
# .../extensions/qwaylandviewporter.cpp         | 27 +++++++------------
# .../extensions/qwaylandviewporter.h           | 27 +++++++------------
# .../extensions/qwaylandviewporter_p.h         | 27 +++++++------------
# .../extensions/qwaylandxdgdecorationv1.cpp    | 27 +++++++------------
# .../extensions/qwaylandxdgdecorationv1.h      | 27 +++++++------------
# .../extensions/qwaylandxdgdecorationv1_p.h    | 27 +++++++------------
# .../extensions/qwaylandxdgoutputv1.cpp        | 27 +++++++------------
# .../extensions/qwaylandxdgoutputv1.h          | 27 +++++++------------
# .../extensions/qwaylandxdgoutputv1_p.h        | 27 +++++++------------
# .../extensions/qwaylandxdgshell.cpp           | 27 +++++++------------
# src/compositor/extensions/qwaylandxdgshell.h  | 27 +++++++------------
# .../extensions/qwaylandxdgshell_p.h           | 27 +++++++------------
# .../qwaylandxdgshellintegration.cpp           | 27 +++++++------------
# .../qwaylandxdgshellintegration_p.h           | 27 +++++++------------
# 19 files changed, 190 insertions(+), 323 deletions(-)
#
#diff --git a/src/compositor/extensions/qwaylandidleinhibitv1.cpp b/src/compositor/extensions/qwaylandidleinhibitv1.cpp
#index d034c47f..3d7e4d13 100644
#--- a/src/compositor/extensions/qwaylandidleinhibitv1.cpp
#+++ b/src/compositor/extensions/qwaylandidleinhibitv1.cpp
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandidleinhibitv1.h b/src/compositor/extensions/qwaylandidleinhibitv1.h
#index 53c09d08..390ef9df 100644
#--- a/src/compositor/extensions/qwaylandidleinhibitv1.h
#+++ b/src/compositor/extensions/qwaylandidleinhibitv1.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandidleinhibitv1_p.h b/src/compositor/extensions/qwaylandidleinhibitv1_p.h
#index 38055180..a87fa871 100644
#--- a/src/compositor/extensions/qwaylandidleinhibitv1_p.h
#+++ b/src/compositor/extensions/qwaylandidleinhibitv1_p.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandquickxdgoutputv1.cpp b/src/compositor/extensions/qwaylandquickxdgoutputv1.cpp
#index eb6717a7..b61cc490 100644
#--- a/src/compositor/extensions/qwaylandquickxdgoutputv1.cpp
#+++ b/src/compositor/extensions/qwaylandquickxdgoutputv1.cpp
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandquickxdgoutputv1.h b/src/compositor/extensions/qwaylandquickxdgoutputv1.h
#index c8b16ab8..d6701cc8 100644
#--- a/src/compositor/extensions/qwaylandquickxdgoutputv1.h
#+++ b/src/compositor/extensions/qwaylandquickxdgoutputv1.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandviewporter.cpp b/src/compositor/extensions/qwaylandviewporter.cpp
#index 3856c135..b98274b1 100644
#--- a/src/compositor/extensions/qwaylandviewporter.cpp
#+++ b/src/compositor/extensions/qwaylandviewporter.cpp
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandviewporter.h b/src/compositor/extensions/qwaylandviewporter.h
#index 811c7414..fb640a49 100644
#--- a/src/compositor/extensions/qwaylandviewporter.h
#+++ b/src/compositor/extensions/qwaylandviewporter.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandviewporter_p.h b/src/compositor/extensions/qwaylandviewporter_p.h
#index d22da699..bf9e197a 100644
#--- a/src/compositor/extensions/qwaylandviewporter_p.h
#+++ b/src/compositor/extensions/qwaylandviewporter_p.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgdecorationv1.cpp b/src/compositor/extensions/qwaylandxdgdecorationv1.cpp
#index a58601cd..9fb2c955 100644
#--- a/src/compositor/extensions/qwaylandxdgdecorationv1.cpp
#+++ b/src/compositor/extensions/qwaylandxdgdecorationv1.cpp
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgdecorationv1.h b/src/compositor/extensions/qwaylandxdgdecorationv1.h
#index 4390716e..7b39091f 100644
#--- a/src/compositor/extensions/qwaylandxdgdecorationv1.h
#+++ b/src/compositor/extensions/qwaylandxdgdecorationv1.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgdecorationv1_p.h b/src/compositor/extensions/qwaylandxdgdecorationv1_p.h
#index fdd555ab..cd9c38c2 100644
#--- a/src/compositor/extensions/qwaylandxdgdecorationv1_p.h
#+++ b/src/compositor/extensions/qwaylandxdgdecorationv1_p.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgoutputv1.cpp b/src/compositor/extensions/qwaylandxdgoutputv1.cpp
#index 817cb2e4..a78a9f62 100644
#--- a/src/compositor/extensions/qwaylandxdgoutputv1.cpp
#+++ b/src/compositor/extensions/qwaylandxdgoutputv1.cpp
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgoutputv1.h b/src/compositor/extensions/qwaylandxdgoutputv1.h
#index 957ac3be..e86fb405 100644
#--- a/src/compositor/extensions/qwaylandxdgoutputv1.h
#+++ b/src/compositor/extensions/qwaylandxdgoutputv1.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgoutputv1_p.h b/src/compositor/extensions/qwaylandxdgoutputv1_p.h
#index 2e8a6fff..ab08f5d4 100644
#--- a/src/compositor/extensions/qwaylandxdgoutputv1_p.h
#+++ b/src/compositor/extensions/qwaylandxdgoutputv1_p.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2019 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgshell.cpp b/src/compositor/extensions/qwaylandxdgshell.cpp
#index 6b7e8600..e1888529 100644
#--- a/src/compositor/extensions/qwaylandxdgshell.cpp
#+++ b/src/compositor/extensions/qwaylandxdgshell.cpp
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgshell.h b/src/compositor/extensions/qwaylandxdgshell.h
#index 0535f8e4..ae3be8d0 100644
#--- a/src/compositor/extensions/qwaylandxdgshell.h
#+++ b/src/compositor/extensions/qwaylandxdgshell.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgshell_p.h b/src/compositor/extensions/qwaylandxdgshell_p.h
#index de48f481..0a0972ac 100644
#--- a/src/compositor/extensions/qwaylandxdgshell_p.h
#+++ b/src/compositor/extensions/qwaylandxdgshell_p.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgshellintegration.cpp b/src/compositor/extensions/qwaylandxdgshellintegration.cpp
#index 0aa16054..a30eb228 100644
#--- a/src/compositor/extensions/qwaylandxdgshellintegration.cpp
#+++ b/src/compositor/extensions/qwaylandxdgshellintegration.cpp
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#diff --git a/src/compositor/extensions/qwaylandxdgshellintegration_p.h b/src/compositor/extensions/qwaylandxdgshellintegration_p.h
#index cd6bad57..16bb3354 100644
#--- a/src/compositor/extensions/qwaylandxdgshellintegration_p.h
#+++ b/src/compositor/extensions/qwaylandxdgshellintegration_p.h
#@@ -1,34 +1,27 @@
# /****************************************************************************
# **
# ** Copyright (C) 2018 The Qt Company Ltd.
#-** Contact: http://www.qt.io/licensing/
#+** Contact: https://www.qt.io/licensing/
# **
# ** This file is part of the QtWaylandCompositor module of the Qt Toolkit.
# **
#-** $QT_BEGIN_LICENSE:LGPL3$
#+** $QT_BEGIN_LICENSE:GPL$
# ** Commercial License Usage
# ** Licensees holding valid commercial Qt licenses may use this file in
# ** accordance with the commercial license agreement provided with the
# ** Software or, alternatively, in accordance with the terms contained in
# ** a written agreement between you and The Qt Company. For licensing terms
#-** and conditions see http://www.qt.io/terms-conditions. For further
#-** information use the contact form at http://www.qt.io/contact-us.
#-**
#-** GNU Lesser General Public License Usage
#-** Alternatively, this file may be used under the terms of the GNU Lesser
#-** General Public License version 3 as published by the Free Software
#-** Foundation and appearing in the file LICENSE.LGPLv3 included in the
#-** packaging of this file. Please review the following information to
#-** ensure the GNU Lesser General Public License version 3 requirements
#-** will be met: https://www.gnu.org/licenses/lgpl.html.
#+** and conditions see https://www.qt.io/terms-conditions. For further
#+** information use the contact form at https://www.qt.io/contact-us.
# **
# ** GNU General Public License Usage
# ** Alternatively, this file may be used under the terms of the GNU
#-** General Public License version 2.0 or later as published by the Free
#-** Software Foundation and appearing in the file LICENSE.GPL included in
#-** the packaging of this file. Please review the following information to
#-** ensure the GNU General Public License version 2.0 requirements will be
#-** met: http://www.gnu.org/licenses/gpl-2.0.html.
#+** General Public License version 3 or (at your option) any later version
#+** approved by the KDE Free Qt Foundation. The licenses are as published by
#+** the Free Software Foundation and appearing in the file LICENSE.GPL3
#+** included in the packaging of this file. Please review the following
#+** information to ensure the GNU General Public License requirements will
#+** be met: https://www.gnu.org/licenses/gpl-3.0.html.
# **
# ** $QT_END_LICENSE$
# **
#-- 
#2.33.0
#
#From cc652bdd4ec7692a68db8afef2a709b74581c2cd Mon Sep 17 00:00:00 2001
#From: Paul Wicking <paul.wicking@qt.io>
#Date: Tue, 27 Oct 2020 14:56:32 +0100
#Subject: [PATCH 03/37] Doc: List correct license information for the module
#
#Fixes: QTBUG-87959
#Change-Id: I1c5cd15e0dd6f81e87690e54cd4e526ce668a8aa
#Reviewed-by: Tino Pyssysalo <tino.pyssysalo@qt.io>
#Reviewed-by: Kai Koehne <kai.koehne@qt.io>
#(cherry picked from commit 7cadb86e5b151459bd06f46a90f28bd157078df7)
#Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
#---
# .../doc/src/qtwaylandcompositor-overview.qdoc          | 10 +++++++---
# 1 file changed, 7 insertions(+), 3 deletions(-)
#
#diff --git a/src/compositor/doc/src/qtwaylandcompositor-overview.qdoc b/src/compositor/doc/src/qtwaylandcompositor-overview.qdoc
#index dc95dc5b..fcdd13f7 100644
#--- a/src/compositor/doc/src/qtwaylandcompositor-overview.qdoc
#+++ b/src/compositor/doc/src/qtwaylandcompositor-overview.qdoc
#@@ -111,9 +111,13 @@
# 
#   Qt Wayland Compositor and the Qt Wayland integration plugin
#   are available under commercial licenses from \l{The Qt Company}.
#-  In addition, they are available under the
#-  \l{GNU Lesser General Public License, version 3}, or
#-  the \l{GNU General Public License, version 2}.
#+
#+  In addition, Qt Wayland Compositor is available under the
#+  \l{GNU General Public License, version 3}, while
#+  the Qt Wayland integration plugin is available under the
#+  \l{GNU General Public License, version 3} or the
#+  \l{GNU General Public License, version 2}.
#+
#   See \l{Qt Licensing} for further details.
# 
#   Qt Wayland Compositor and the Qt Wayland integration plugin
#-- 
#2.33.0
#
#From 88c8df4eab81316bc055c8be82b0febc70330dbe Mon Sep 17 00:00:00 2001
#From: Antti Kokko <antti.kokko@qt.io>
#Date: Tue, 27 Oct 2020 10:02:11 +0200
#Subject: [PATCH 04/37] Add changes file for Qt 5.15.2
#
#+ 7d7ac7f0a4bd6a7956448ddb0ba44c12755dca2e Client: Send subsurface expose event when toplevel is configured
#+ 18ab3edaf2a4cdd1e9df6e166cf51a69a9785ecd Client: Initialize mScale on creation instead of on show
#+ b1564c87e3fd1271575122c6b932c5e9324f07a7 Client: Fix scroll direction with touchpads
#- bd48b6b341482720652dd02866690f937e25619d Add changes file for Qt 5.15.1
#+ 96cfbda63a249385eef02e7996098079569a13b8 Fix brcm-egl wayland integration
#+ 6a7c6eedbaf00b1f2102247810987b6d9246f34e Bump version
#+ 9c8e59a7a6b0cfaa7caf899bdb577270c83b9a12 Build with -no-opengl
#+ 1344ca6b5a8fbc1b28727feea6d856af8bf3bc93 fix libdrm related configure test failure
#+ 65922085c3ba302b9049e62c1e132236b726adf9 Implement MockRegion
#+ 407c240bf52f0c5d23cd87be48ced51a58562f19 Scanner: Generate code that cleans up m_resource
#+ 45a3a3208a4243d9b0a6500e3dcd0fcfed2dfcea Scanner: Generate code that destroys inert resources
#+ 707b23cf11586304912b3ea87099cf46a0aac912 Implement CoreProtocol::compositor_create_region
#+ 2a77384a4f2485364cefeb825eea63daf13dd3b1 Fix race condition on frame callback
#+ 51f0466e01df52eb07e589006744f405dfd40bdd Client: Advertise all supported mime types
#+ f637fcdbbabeb060cdd223d8bc6662d5cace6b90 Address WlCompositor::compositor_create_region in tests
#+ cc779e0ed47ec4759dc3c23953dd02cfacc6885c Issue set_opaque_region on opaque surfaces
#+ 8824452f5b259ab1f295f1237789b2693ae8f232 Add changes file for Qt 5.12.10
#
#Change-Id: I9158c0bb827a54421b205abc6c637e6cdfc5cebd
#Reviewed-by: Volker Hilsheimer <volker.hilsheimer@qt.io>
#Reviewed-by: Eskil Abrahamsen Blomfeldt <eskil.abrahamsen-blomfeldt@qt.io>
#(cherry picked from commit 3cc17177b1b03053276eb6236fda137c588261a7)
#Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
#---
# dist/changes-5.15.2 | 35 +++++++++++++++++++++++++++++++++++
# 1 file changed, 35 insertions(+)
# create mode 100644 dist/changes-5.15.2
#
#diff --git a/dist/changes-5.15.2 b/dist/changes-5.15.2
#new file mode 100644
#index 00000000..e12ac096
#--- /dev/null
#+++ b/dist/changes-5.15.2
#@@ -0,0 +1,35 @@
#+Qt 5.15.2 is a bug-fix release. It maintains both forward and backward
#+compatibility (source and binary) with Qt 5.15.1.
#+
#+For more details, refer to the online documentation included in this
#+distribution. The documentation is also available online:
#+
#+  https://doc.qt.io/qt-5.15/index.html
#+
#+The Qt version 5.15 series is binary compatible with the 5.14.x series.
#+Applications compiled for 5.14 will continue to run with 5.15.
#+
#+Some of the changes listed in this file include issue tracking numbers
#+corresponding to tasks in the Qt Bug Tracker:
#+
#+  https://bugreports.qt.io/
#+
#+Each of these identifiers can be entered in the bug tracker to obtain more
#+information about a particular change.
#+
#+****************************************************************************
#+*                                Compositor                                *
#+****************************************************************************
#+
#+ - [QTBUG-83263] Fixed a race condition on frame callback.
#+ - [QTBUG-86109] Fix brcm-egl wayland integration.
#+
#+****************************************************************************
#+*                                QPA plugin                                *
#+****************************************************************************
#+
#+ - [QTBUG-87657] Clipboard selection now advertises all supported mime types.
#+ - [QTBUG-86291] Fixed the build with -no-opengl.
#+ - [QTBUG-85767] Touchpad scrolling is no longer inverted.
#+ - [QTBUG-86176] We now send subsurface expose events when a different
#+   toplevel (such as a dialog) is configured.
#-- 
#2.33.0
#
From e5c272423d1bba2825086b82fd97499237a6fa4b Mon Sep 17 00:00:00 2001
From: Vlad Zahorodnii <vlad.zahorodnii@kde.org>
Date: Fri, 30 Oct 2020 16:55:30 +0200
Subject: [PATCH 05/37] Scanner: Avoid accessing dangling pointers in
 destroy_func()

Usually, the object associated with the resource gets destroyed in the
destroy_resource() function.

Therefore, we need to double-check that the object is still alive before
trying to reset its m_resource.

Change-Id: I26408228f58919db17eb29584a1cbd4a9427d25c
Reviewed-by: Eskil Abrahamsen Blomfeldt <eskil.abrahamsen-blomfeldt@qt.io>
(cherry picked from commit 735164b5c2a2637a8d53a8803a2401e4ef477ff0)
Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
---
 src/qtwaylandscanner/qtwaylandscanner.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/qtwaylandscanner/qtwaylandscanner.cpp b/src/qtwaylandscanner/qtwaylandscanner.cpp
index 1d635f06..e2f87bbd 100644
--- a/src/qtwaylandscanner/qtwaylandscanner.cpp
+++ b/src/qtwaylandscanner/qtwaylandscanner.cpp
@@ -814,7 +814,9 @@ bool Scanner::process()
             printf("        if (Q_LIKELY(that)) {\n");
             printf("            that->m_resource_map.remove(resource->client(), resource);\n");
             printf("            that->%s_destroy_resource(resource);\n", interfaceNameStripped);
-            printf("            if (that->m_resource == resource)\n");
+            printf("\n");
+            printf("            that = resource->%s_object;\n", interfaceNameStripped);
+            printf("            if (that && that->m_resource == resource)\n");
             printf("                that->m_resource = nullptr;\n");
             printf("        }\n");
             printf("        delete resource;\n");
-- 
2.33.0

